## org.omg.PortableServer
Class RequestProcessingPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.RequestProcessingPolicyValueHelper

public class RequestProcessingPolicyValueHelper
extends java.lang.Object

Helper class for : RequestProcessingPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`RequestProcessingPolicyValueHelper()`

Method Summary
`static RequestProcessingPolicyValue` `extract(Any a)` Extract RequestProcessingPolicyValue from an any
`static java.lang.String` `id()` Return the RequestProcessingPolicyValue IDL ID
`static void` `insert(Any a, RequestProcessingPolicyValue t)` Insert RequestProcessingPolicyValue into an any
`static RequestProcessingPolicyValue` `read(InputStream istream)` Read RequestProcessingPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the RequestProcessingPolicyValue TypeCode
`static void` `write(OutputStream ostream, RequestProcessingPolicyValue value)` Write RequestProcessingPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestProcessingPolicyValueHelper

    public RequestProcessingPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestProcessingPolicyValue t)

  Insert RequestProcessingPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - RequestProcessingPolicyValue value

### extract

    public static RequestProcessingPolicyValue extract(Any a)

  Extract RequestProcessingPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestProcessingPolicyValue value

### type

    public static TypeCode type()

  Return the RequestProcessingPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestProcessingPolicyValue IDL ID
  Returns:
    an ID

### read

    public static RequestProcessingPolicyValue read(InputStream istream)

  Read RequestProcessingPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestProcessingPolicyValue value

### write

    public static void write(OutputStream ostream,
                             RequestProcessingPolicyValue value)

  Write RequestProcessingPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestProcessingPolicyValue value